Saltar al contenido principal
POST
/
openai
/
embeddings
Creates an embedding vector representing the input text.
curl --request POST \
  --url https://api.acedata.cloud/openai/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "text-embedding-3-small",
  "input": "<string>"
}
'
{ "object": "list", "data": [ { "object": "embedding", "index": 0, "embedding": [ 0.0023064255, -0.009327292, 0.015271, 0.001234 ] } ], "model": "text-embedding-3-small", "usage": { "prompt_tokens": 9, "total_tokens": 9 }, "created": 1714500000 }

Autorizaciones

Authorization
string
header
requerido

Encabezados

accept
enum<string>

Specifies the format of the response from the server.

Opciones disponibles:
application/json

Cuerpo

application/json
model
enum<string>
requerido

ID of the embedding model to use (e.g., text-embedding-3-small, text-embedding-3-large).

Opciones disponibles:
text-embedding-3-small,
text-embedding-3-large,
text-embedding-ada-002
input
string
requerido

Input to embed: a single string, an array of strings, or token arrays.

encoding_format
enum<string>
predeterminado:float

Format of the returned embeddings.

Opciones disponibles:
float,
base64
dimensions
integer

Optional output embedding size when supported by the model.

Rango requerido: x >= 1

Respuesta

Embeddings created successfully.

object
enum<string>
requerido

Type of the returned object.

Opciones disponibles:
list
data
object[]
requerido
model
string
requerido

Model used to generate the embeddings.

usage
object
requerido
created
integer
requerido

Unix timestamp (seconds) when the embeddings were created.